### Method

# Template Symbol assign_variant

#### Declaration

    void
    tmpl_symbol_assign_variant (
      TmplSymbol* self,
      GVariant* v_variant
    )

#### Description

Sets the value to the `GVariant` `v_variant`.

If `v_variant` has a floating reference, it is consumed.

#### Parameters

`v_variant`

  Type: `GVariant`

  A `GVariant` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.